Subject: Re: bug#62043: [PATCH] Fix enums appearing as structs in c-ts-base-mode's imenu

From: Yuan Fu <[email-masked]>
Date: Thu, 9 Mar 2023 21:59:49 -0800

> On Mar 8, 2023, at 6:04 PM, Randy Taylor <[email-masked]> wrote:
> 
> On Wednesday, March 8th, 2023 at 18:27, Yuan Fu <[email-masked]> wrote:
>> 
>>> On Mar 7, 2023, at 5:49 PM, Randy Taylor [email-masked] wrote:
>>> 
>>> X-Debbugs-CC: [email-masked]
>>> 
>>> With {c, c++}-ts-mode, enums appear as structs in imenu. The attached patch fixes this.
>>> 
>>> Example:
>>> enum Thing { A, B, C };
>>> 
>>> Should appear as Enum Thing
>>> <0001-Fix-enums-appearing-as-structs-in-c-ts-base-mode-s-i.patch>
>> 
>> 
>> Thanks! I wonder what determines which categories to merge together and which to not? If we separate Enums, should we also separate Unions?
>> 
>> Yuan
> 
> I think they should all be separate actually. Attached a patch that does so.<0001-Fix-enums-and-unions-appearing-as-structs-in-c-ts-ba.patch>

That’s probably the right thing to do. I applied the patch, thanks!

Yuan